<template>
  <section>
    <v-card width="600" class="elevation-12 mx-auto mt-10">
      <v-toolbar dark color="primary">
        <v-toolbar-title>{{ $t("login") }}</v-toolbar-title>
      </v-toolbar>
      <v-card-text>
        <Form @submit="submited">
          <SharedInputText
            validation="required|email"
            :form="form"
            name="email"
            label="email"
          />
          <SharedInputPassword
            validation="required"
            :form="form"
            name="password"
            label="password"
          />
          <SharedButton
            :loading="loading"
            type="sumbit"
            color="primary"
            class="mt-4"
            block
          >
            {{ $t("login") }}
          </SharedButton>
        </Form>
      </v-card-text>
    </v-card>
  </section>
</template>

<script setup>
import { useAuthStore } from "@/stores/auth";
import useApi from "@/composables/useApi";

definePageMeta({
  middleware: ["guest"],
});

const form = ref({
  email: "",
  password: "",
});

const { post, loading } = useApi();

const submited = async () => {
  let response = await post("api/admin/login", form.value);
  localStorage.setItem("_token", response.data.data.token);
  const auth = useAuthStore();
  auth.getUser();
};
</script>
